Skip to main content
GET
/
api
/
v1
/
production-lines
List Production Lines
curl --request GET \
  --url https://staging.cutmake.ai/api/v1/production-lines
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "workerCount": 123,
      "costPerMinuteVnd": "<string>",
      "capacityPerDay": 123,
      "shiftType": "regular",
      "isActive": true,
      "effectiveCostPerMinute": "<string>",
      "description": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123,
    "hasNext": true,
    "hasPrev": true
  }
}

Headers

X-Org-Id
string | null

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:25
Required range: 1 <= x <= 100

Response

Successful Response

data
ProductionLineResponse · object[]
required
pagination
PaginationInfo · object
required

Pagination metadata following API standards.

Attributes: page: Current page number (1-indexed) limit: Items per page total: Total number of items matching query totalPages: Total number of pages hasNext: Whether there is a next page hasPrev: Whether there is a previous page